GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
cons_value::throwing_construction Struct Reference

## Public Member Functions
| throwing_construction (bool propagate)
| throwing_construction (throwing_construction const &other)

## Public Attributes
bool | propagate

## Detailed Description

Definition at line 44 of file value.cc.

## Constructor & Destructor Documentation

## ◆ throwing_construction() [1/2]

cons_value::throwing_construction::throwing_construction | ( | bool | propagate | ) |
| inline explicit

Definition at line 46 of file value.cc.

## ◆ throwing_construction() [2/2]

cons_value::throwing_construction::throwing_construction | ( | throwing_construction const & | other | ) |
| inline

Definition at line 48 of file value.cc.

References propagate.

## Member Data Documentation

## ◆ propagate

bool cons_value::throwing_construction::propagate

Definition at line 55 of file value.cc.

Referenced by throwing_construction().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/unittests/optional/cons/value.cc